libopenthreads21-3.6.5-1.mga8.i586.rpm


Advertisement

Description

libopenthreads21 - A lightweight C++ thread API

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename libopenthreads21-3.6.5-1.mga8.i586.rpm
Package name libopenthreads21
Package version 3.6.5
Package release 1.mga8
Package architecture i586
Package type rpm
Category System/Libraries
Homepage http://www.openscenegraph.org/
License LGPLv2+ with exceptions
Maintainer -
Download size 21.98 KB
Installed size 38.84 KB
This library is intended to provide a minimal & complete Object-Oriented
thread interface for C++ programmers.  It is loosely modeled on the Java
thread API, and the POSIX Threads standards.
OpenThreads is part of the OpenSceneGraph project.

Alternatives

Package Version Architecture Repository
libopenthreads21 - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libpthread.so.0(GLIBC_2.3.4) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
libOpenThreads.so.21 -
libopenthreads21 == 3.6.5-1.mga8
libopenthreads21(x86-32) == 3.6.5-1.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libopenthreads21-3.6.5-1.mga8.i586.rpm
Source Package openscenegraph-3.6.5-1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libopenthreads21 rpm package:
    # urpmi libopenthreads21

Files

Path
/usr/lib/.build-id
/usr/lib/libOpenThreads.so.21
/usr/lib/libOpenThreads.so.3.3.1
/usr/lib/.build-id/ee/ca77b6ae57203c228a7e3a261df0288825d127

Changelog

2020-02-03 - daviddavid <daviddavid> 3.6.5-1.mga8
+ Revision: 1486554
- new version: 3.6.5
- now libmajor is 161
+ wally <wally>
- build with new cmake macros
2018-10-13 - zezinho <zezinho> 3.6.3-1.mga7
+ Revision: 1320066
- bugfix 3.6.3
2018-09-23 - umeabot <umeabot> 3.6.2-2.mga7
+ Revision: 1300034
- Mageia 7 Mass Rebuild
2018-08-17 - eatdirt <eatdirt> 3.6.2-1.mga7
+ Revision: 1252258
- Upgrade to version 3.6.2
2018-06-18 - akien <akien> 3.6.1-1.mga7
+ Revision: 1237775
- Version 3.6.1
2018-05-14 - akien <akien> 3.6.0-1.mga7
+ Revision: 1229566
- Version 3.6.0
- Review all BRs:
o Be more explicit about the ones queried by CMake
o Qt5 deps are removed, osgQt was moved to a separate repo
2018-04-18 - daviddavid <daviddavid> 3.4.1-4.mga7
+ Revision: 1219805
- add patch (5) to fix build on ARM
2018-04-16 - daviddavid <daviddavid> 3.4.1-3.mga7
+ Revision: 1219274
- rebuild for new jasper 2.0.14
2018-02-10 - daviddavid <daviddavid> 3.4.1-2.mga7
+ Revision: 1200178
- BR pkgconfig(Qt5OpenGL)

See Also

Package Description
libopenthreads34-devel-3.4.1-9.mga8.i586.rpm Development package for OpenThreads
libopenvas-devel-11.0.0-2.mga8.i586.rpm Development files for openvas-libraries
libopenvas-scanner11-7.0.0-2.mga8.i586.rpm Libraries for openvas-scanner
libopenvas11-11.0.0-2.mga8.i586.rpm Support libraries for Open Vulnerability Assessment (OpenVAS) Server
libopenvdb-devel-7.0.0-2.mga8.i586.rpm Development files for openvdb
libopenvdb7.0-7.0.0-2.mga8.i586.rpm Core OpenVDB libraries
libopenvpn-devel-2.4.8-1.mga8.i586.rpm Development package for OpenVPN plugins
libopenzwave-devel-1.2.919-4.mga8.i586.rpm Open-ZWave header files
libopenzwave1-1.2.919-4.mga8.i586.rpm Shared Open-ZWave library
libopts25-5.18.16-2.mga8.i586.rpm Main library for autogen
libopus-devel-1.3.1-2.mga8.i586.rpm Files needed to compile a program with Opus support
libopus0-1.3.1-2.mga8.i586.rpm Opus library
libopusenc-devel-0.2.1-2.mga8.i586.rpm Development package for libopusenc
libopusenc0-0.2.1-2.mga8.i586.rpm A library that provides an easy way to encode Ogg Opus files
libopusfile-devel-0.11-2.mga8.i586.rpm Development package for opusfile
Advertisement
Advertisement